Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq
Class SpyTopicPublisher

    java.lang.Object
      org.jboss.mq.SpyMessageProducer
          org.jboss.mq.SpyTopicPublisher

All Implemented Interfaces:
  javax.jms.MessageProducer, javax.jms.TopicPublisher

public class SpyTopicPublisher
extends SpyMessageProducer
implements javax.jms.TopicPublisher

This class implements javax.jms.TopicPublisher A publisher created with a null Topic will now be interpreted as created as an unidentifyed publisher and follows the spec in throwing UnsupportedOperationException at the correct places.

Version:
  $Revision: 1.11 $
Author:
  Norbert Lataille (Norbert.Lataille@m4x.org), Hiram Chirino (Cojonudo14@hotmail.com), Peter Antman, Adrian Brock

Field Summary

Fields inherited from class org.jboss.mq.SpyMessageProducer
`closed, defaultDeliveryMode, defaultPriority, defaultTTL, destination, session`

Method Summary
`javax.jms.Topic` | `getTopic()`
`void` | `publish(javax.jms.Message message)`
`void` | `publish(javax.jms.Message message, int deliveryMode, int priority, long timeToLive)`
`void` | `publish(javax.jms.Topic topic, javax.jms.Message message)`
`void` | `publish(javax.jms.Topic topic, javax.jms.Message message, int deliveryMode, int priority, long timeToLive)`

Methods inherited from class org.jboss.mq.SpyMessageProducer
`checkClosed, close, encapsulateMessage, getDeliveryMode, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive, setTimeToLive, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.MessageProducer
`close, getDeliveryMode, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

Method Detail

### getTopic

    public javax.jms.Topic getTopic()
                             throws javax.jms.JMSException

  Specified by:
    `getTopic` in interface `javax.jms.TopicPublisher`
  Throws:
    `javax.jms.JMSException`

### publish

    public void publish(javax.jms.Message message)
                 throws javax.jms.JMSException

  Specified by:
    `publish` in interface `javax.jms.TopicPublisher`
  Throws:
    `javax.jms.JMSException`

### publish

    public void publish(javax.jms.Message message,
                        int deliveryMode,
                        int priority,
                        long timeToLive)
                 throws javax.jms.JMSException

  Specified by:
    `publish` in interface `javax.jms.TopicPublisher`
  Throws:
    `javax.jms.JMSException`

### publish

    public void publish(javax.jms.Topic topic,
                        javax.jms.Message message)
                 throws javax.jms.JMSException

  Specified by:
    `publish` in interface `javax.jms.TopicPublisher`
  Throws:
    `javax.jms.JMSException`

### publish

    public void publish(javax.jms.Topic topic,
                        javax.jms.Message message,
                        int deliveryMode,
                        int priority,
                        long timeToLive)
                 throws javax.jms.JMSException

  Specified by:
    `publish` in interface `javax.jms.TopicPublisher`
  Throws:
    `javax.jms.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.